Skip to content

GET Portal settings

This will get all the portal settings from the database except the mail_smtp_pass.

Location

/api/v1/portal-management/configure/

Permissions required

admin-portalsettings RO.

Body parameters

Parameter Type Required Description
builder[0][where][0] string no
builder[0][where][1] string no

Example Body (json)

None.

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/configure/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

[
   {
      "portal_uuid":"effda0c0-0830-11f0-9300-7e99ed98b725",
      "portal_name":"Sentri",
      "portal_slugify":"sentri",
      "portal_provider_name":"Mooij.me",
      "portal_provider_slugify":"sentri",
      "admin_auth_methods":"database_auth",
      "cacert_url":"N\/A",
      "autop_url":"N\/A",
      "mail_from_name":"Sentri",
      "mail_from_address":"sentri@mooij.me",
      "mail_smtp_host":"smtp.mooij.me",
      "mail_smtp_secure":"tls",
      "mail_smtp_port":587,
      "mail_smtp_auth":1,
      "mail_smtp_user":"noreply"
   }
]

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.